[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TSearchAction.ExecuteTarget

Executes the action for the specified Target control.

## Declaration

Source position: stdactns.pas line 298

`public procedure TSearchAction.ExecuteTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | Control that is the target for the action.

## Description

ExecuteTarget is an overridden method in TSearchAction. It calls the UpdateControl method to assign the value in Target as the associated control for the action. It calls the inherited method to execute the action for Target, capture the return value, and signal the OnAccept or OnCancel event handler for the button clicked on the search dialog.